package com.fzm.mall.server.admin.finance_center.enums.type;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/5/12 10:29
 * @description 转账对象
 * @since JDK 1.8
 */
public enum TranObjectEnum {
    MERCHANT(1),//商户
    USER(2);//用户

    private Integer type;

    TranObjectEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static List<Integer> getValueList() {
        return Arrays.stream(TranObjectEnum.values())
                .map(TranObjectEnum::getType)
                .collect(Collectors.toList());
    }
}
